Opened 17 months ago

Closed 6 months ago

Last modified 6 months ago

#2377 closed Defect (fixed)

Incorrect restart after the first year of the model run when option 2 of the freshwater-budget adjustment mechanism is active (`nn_fwb = 2`, module `sbcfwb`)

Reported by: smueller Owned by: smueller
Priority: low Milestone:
Component: SBC Version: trunk
Severity: minor Keywords: fwb
Cc: Branch review: failed
MP ready?: no Task progress: Unspecified

Description

Context

The defect described in ticket #2376 was also found in the trunk version of NEMO.

Analysis

See ticket #2376.

Recommendation

See ticket #2376.

Commit History (19)

ChangesetAuthorTimeChangeLog
14142smueller2020-12-09T18:07:22+01:00

Removal of disused branches (ticket #2377)

14130smueller2020-12-08T11:48:58+01:00

Remedy for the defect described in ticket #2377

14129smueller2020-12-08T11:30:38+01:00

Synchronizing with /NEMO/trunk@14128 (ticket #2377)

14124smueller2020-12-07T20:40:20+01:00

Adjustments to restore compatibility with the restart I/O functionality (ticket #2377)

14123smueller2020-12-07T19:48:29+01:00

Merging of changesets [12591,12602,12608,13082,13094,13096,13950] made in branch /NEMO/branches/2020/ticket2377 into /NEMO/branches/2020/r14118_ticket2377 (ticket #2377)

14121smueller2020-12-07T16:46:35+01:00

Synchronizing with /NEMO/trunk@14120 (ticket #2377)

14119smueller2020-12-07T11:50:31+01:00

Inception of a branch associated with ticket #2377 and based on /NEMO/trunk@14118, and removal of two obsolete branches

14059smueller2020-12-03T17:03:18+01:00

Inception of a branch associated with ticket #2377 and based on /trunk@14057

13954smueller2020-12-01T20:41:49+01:00

Merging of changesets [12591,12602,12608,13082,13094,13096,13950] made in branch /NEMO/branches/2020/ticket_2377 into /NEMO/branches/2020/r13916_ticket2377 (ticket #2377)

13953smueller2020-12-01T19:25:24+01:00

Inception of a branch associated with ticket #2377 and based on /NEMO/trunk@13916

13950smueller2020-12-01T18:33:58+01:00

Update of the documentation subsection on the freshwater-budget adjustment mechanism (ticket #2377)

13280smueller2020-07-09T13:53:42+02:00

Remedy for the defect described in ticket #2376

This modification comprises the merging of changesets [12591] and [12602] made in branch /NEMO/branches/2020/ticket2377 as a remedy for the corresponding defect in the trunk version of NEMO (see ticket #2377).

13096smueller2020-06-11T16:29:24+02:00

Adjustment of the namelist addition made in [13094] (ticket #2377)

13094smueller2020-06-10T20:28:00+02:00

Revision of the adjustment-flux initialisation in option 2 of the freshwater-budget adjustment mechanism (ticket #2377)

This changeset replaces the file-based initialisation of the freshwater-budget adjustment flux (input file EMPave_old.dat) with control of the initial flux adjustment through parameter rn_fwb0 of a new namelist namsbc_fwb. Further, it replaces the adjustment-flux output into a dedicated file (output file EMPave.dat) by the reporting of the final adjustment flux applied by the model in file ocean.output.

13082smueller2020-06-10T09:38:08+02:00

Removal of variable fwfold from module sbcfwb (ticket #2377)

12608smueller2020-03-26T11:52:25+01:00

Removal of the needless tracking of the freshwater-budget adjustment flux for the previous year (variable a_fwb_b) in option 2 of the freshwater-budget adjustment mechanism (ticket #2377)

12602smueller2020-03-25T13:22:28+01:00

Addition of XIOS-based restart I/O to the restart capability of option 2 of the freshwater-budget adjustment mechanism (ticket #2377)

This changeset extends the standard restart capability added in r12591 by adding optional XIOS-based restart I/O according to the recipe provided in section 10.2.1 of the reference manual for NEMO version 4.0.1.

12591smueller2020-03-24T11:21:58+01:00

Addition of standard restart capability without XIOS support to option 2 of the freshwater-budget adjustment mechanism as a remedy for the defect reported in ticket #2377

12491smueller2020-02-28T21:00:24+01:00

Inception of a branch associated with ticket #2377

Change History (26)

comment:1 Changed 16 months ago by smueller

  • Owner changed from systeam to smueller
  • Status changed from new to assigned

comment:2 Changed 16 months ago by smueller

In 12491:

Inception of a branch associated with ticket #2377

comment:3 Changed 16 months ago by smueller

See ticket:2376#comment:2.

The files EMPave.dat and EMPave_old.dat are used to store global freshwater-budget adjustment fluxes for two successive model years (in the form of two scalar values), of which only the more recent appears to be used in the current model version (the value of variable a_fwb in source:/NEMO/trunk/src/OCE/SBC/sbcfwb.F90). Therefore, the handling of the value from the earlier year could be removed (variable a_fwb_b in source:/NEMO/trunk/src/OCE/SBC/sbcfwb.F90) in future model versions. Moreover, with a normalised restart mechanism in place, the more recent adjustment flux read in from file EMPave_old.dat would solely be used to initialise non-restarted model runs, and the corresponding adjustment flux written to file EMPave.dat at the end of model runs would become available from restart files. Therefore, the initial freshwater-budget adjustment flux could be set using a namelisted parameter (e.g., rn_fwb0 in a new namelist namsbc_fwb), which would make it possible to discontinue the use of the files EMPave.dat and EMPave_old.dat.

Last edited 16 months ago by smueller (previous) (diff)

comment:4 Changed 15 months ago by smueller

In 12591:

Addition of standard restart capability without XIOS support to option 2 of the freshwater-budget adjustment mechanism as a remedy for the defect reported in ticket #2377

comment:5 Changed 15 months ago by smueller

While it is not detected by the standard SETTE restartability test for the ORCA2_ICE_PISCES reference configuration, the defect can be demonstrated using a variant of this test where the restart occcurs after the first year of the model run (e.g., LONG runs for 11680 time steps and SHORT restarts from the model state of LONG at time step 8760). Such a modified restartability test (without the PISCES component) is unsuccessful before r12591 and successful after r12591.

comment:6 Changed 15 months ago by smueller

In 12602:

Addition of XIOS-based restart I/O to the restart capability of option 2 of the freshwater-budget adjustment mechanism (ticket #2377)

This changeset extends the standard restart capability added in r12591 by adding optional XIOS-based restart I/O according to the recipe provided in section 10.2.1 of the reference manual for NEMO version 4.0.1.

comment:7 Changed 15 months ago by smueller

The XIOS-based restart I/O option appears to be faulty in source:/NEMO/trunk@12489 (see #2386) on which source:/NEMO/branches/2020/ticket2377 is based. A preliminary test after merging [12515] and [12521] from branch source:/NEMO/branches/2020/r12377_ticket2386 into a working copy of source:/NEMO/branches/2020/ticket2377 suggests that the newly added restart variables are correctly included in the restart file when option 2 of the freshwater-budget adjustment mechanism and the XIOS-based restart I/O option are active.

Last edited 15 months ago by smueller (previous) (diff)

comment:8 Changed 15 months ago by smueller

In 12608:

Removal of the needless tracking of the freshwater-budget adjustment flux for the previous year (variable a_fwb_b) in option 2 of the freshwater-budget adjustment mechanism (ticket #2377)

comment:9 Changed 12 months ago by smueller

In 13082:

Removal of variable fwfold from module sbcfwb (ticket #2377)

comment:10 Changed 12 months ago by smueller

In 13094:

Revision of the adjustment-flux initialisation in option 2 of the freshwater-budget adjustment mechanism (ticket #2377)

This changeset replaces the file-based initialisation of the freshwater-budget adjustment flux (input file EMPave_old.dat) with control of the initial flux adjustment through parameter rn_fwb0 of a new namelist namsbc_fwb. Further, it replaces the adjustment-flux output into a dedicated file (output file EMPave.dat) by the reporting of the final adjustment flux applied by the model in file ocean.output.

comment:11 Changed 12 months ago by smueller

In 13096:

Adjustment of the namelist addition made in [13094] (ticket #2377)

comment:12 Changed 11 months ago by smueller

In 13280:

Remedy for the defect described in ticket #2376

This modification comprises the merging of changesets [12591] and [12602] made in branch /NEMO/branches/2020/ticket2377 as a remedy for the corresponding defect in the trunk version of NEMO (see ticket #2377).

comment:13 Changed 6 months ago by smueller

In 13950:

Update of the documentation subsection on the freshwater-budget adjustment mechanism (ticket #2377)

comment:14 Changed 6 months ago by smueller

In 13953:

Inception of a branch associated with ticket #2377 and based on /NEMO/trunk@13916

comment:15 Changed 6 months ago by smueller

In 13954:

Merging of changesets [12591,12602,12608,13082,13094,13096,13950] made in branch /NEMO/branches/2020/ticket_2377 into /NEMO/branches/2020/r13916_ticket2377 (ticket #2377)

comment:16 Changed 6 months ago by smueller

source:/NEMO/branches/2020/r13916_ticket2377@13954 passes the STANDARD SETTE tests, as well as a variant of the ORCA2_ICE_PISCES restartability test run for 11680 timesteps and restarted after time step 8760. XIOS-based restart fails (as expected).

comment:17 Changed 6 months ago by smueller

In 14059:

Inception of a branch associated with ticket #2377 and based on /trunk@14057

comment:18 Changed 6 months ago by smueller

In 14119:

Inception of a branch associated with ticket #2377 and based on /NEMO/trunk@14118, and removal of two obsolete branches

comment:19 Changed 6 months ago by smueller

In 14121:

Synchronizing with /NEMO/trunk@14120 (ticket #2377)

comment:20 Changed 6 months ago by smueller

In 14123:

Merging of changesets [12591,12602,12608,13082,13094,13096,13950] made in branch /NEMO/branches/2020/ticket2377 into /NEMO/branches/2020/r14118_ticket2377 (ticket #2377)

comment:21 Changed 6 months ago by smueller

In 14124:

Adjustments to restore compatibility with the restart I/O functionality (ticket #2377)

comment:22 Changed 6 months ago by smueller

source:/NEMO/branches/2020/r14118_ticket2377@14124 passes the standard SETTE tests (results unchanged when compared to the standard SETTE tests of source:/NEMO/branches/2020/r14118_ticket2377@14121) as well as a variant of the ORCA2_ICE_PISCES SETTE restartability test that is run for 11680 time steps (instead of 992 time steps) and restarted after 5840 time steps.

Last edited 6 months ago by smueller (previous) (diff)

comment:23 Changed 6 months ago by smueller

In 14129:

Synchronizing with /NEMO/trunk@14128 (ticket #2377)

comment:24 Changed 6 months ago by smueller

In 14130:

Remedy for the defect described in ticket #2377

comment:25 Changed 6 months ago by smueller

  • Resolution set to fixed
  • Status changed from assigned to closed

Using source:/NEMO/trunk@13135 (i.e., after reintegration of branch source:/NEMO/branches/2020/r14118_ticket2377 into the NEMO trunk with changeset [13130]), the SETTE restartability test for an ORCA2_ICE_PISCES variant run for 11680 time steps and restarted after 5840 time steps has been successful (using source:/NEMO/trunk@13125, a corresponding test has failed as expected). Both source:/NEMO/trunk@13125 and source:/NEMO/trunk@13135 have passed the standard SETTE tests without difference in the compared output files.

comment:26 Changed 6 months ago by smueller

In 14142:

Removal of disused branches (ticket #2377)

Note: See TracTickets for help on using tickets.